Subject: Re: [PATCH 2/2] refs: warn on non-pseudoref looking .git/<file> refs

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 10 Dec 2020 23:17:43 +0100

On Thu, Dec 10 2020, Eric Sunshine wrote:

> On Thu, Dec 10, 2020 at 3:29 PM Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
>> On Thu, Dec 10 2020, Eric Sunshine wrote:
>> > On Thu, Dec 10, 2020 at 7:55 AM Ævar Arnfjörð Bjarmason
>> > <[email-masked]> wrote:
>> >> +       GIT_TEST_GETTEXT_POISON=false grep "like a pseudoref" err &&
>> >
>> > What is the purpose of assigning GIT_TEST_GETTEXT_POISON here?
>>
>> Since 6cdccfce1e0 (i18n: make GETTEXT_POISON a runtime option,
>> 2018-11-08) we haven't needed to use the C_LOCALE_OUTPUT prerequisite
>> for any new code, since we can just turn the poisoning off.
>>
>> I think we should just slowly refactor things away from that
>> prerequisite and test_i18ngrep, which were only needed because it used
>> to be a compile-time switch, but I haven't gotter around to that
>> refactoring.
>>
>> In liue of that I think it makes more sense to always run the full test
>> if possible, no matter what the GIT_TEST_* mode is.
>
> I must be missing something. I've looked at 6cdccfce1e0 but I still
> don't see how or why `GIT_TEST_GETTEXT_POISON=false` could affect the
> simple `grep` invocation being done by this test. I could understand
> if GIT_TEST_GETTEXT_POISON was applied to the invocation of a Git
> command, but that's not the case here.
>
> (I also notice that 6cdccfce1e0 only checks whether
> GIT_TEST_GETTEXT_POISON is empty or not -- and the changes in
> 6cdccfce1e0 set GIT_TEST_GETTEXT_POISON to an empty value rather than
> to "false", so I find myself doubly confused by this application of
> GIT_TEST_GETTEXT_POISON to `grep`.)

You're not missing something, but it seems I need to step away from the
computer for the day. I managed to write this & reply to your E-Mail
without noticing I'd put the GIT_TEST[...] env variable in front of the
wrong command. It should indeed be in front of the rev-parse above.